Author Topic: empty order_language field in the database  (Read 919 times)

6.522

  • Beginner
  • *
  • Posts: 20
  • A beginner
empty order_language field in the database
« on: January 29, 2017, 21:35:48 pm »
Hi, I have multi-language site (two languages) and my problem is that the info about the order language, when creating a new one, is not saved in the database - the order_language field in virtuemart_orders is empty. So when I manually change the order status in BE the notification email is in the default language - not the order language. Similar thing happens when user clicks "notify" button and then after restock the notification email about availability is sent to him. What should I check / where to look to find what is causing this behaviour??

VirtueMart 2.6.22
Joomla! 2.5.28

6.522

  • Beginner
  • *
  • Posts: 20
  • A beginner
Re: empty order_language field in the database
« Reply #1 on: January 30, 2017, 04:23:12 am »
ok so I was missing

Code: [Select]
<input type='hidden' name='order_language' value='<?php echo $this->order_language?>'/>
in the cart default.php template override but.. the email is translated only partially (if I manually set the BE language then the whole email is translated properly) and the currency in wrong - shop default instead of order currency :/

no luck with "notify me" so far

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3188
  • using Piwik instead of Google Analytics
Re: empty order_language field in the database
« Reply #2 on: January 30, 2017, 23:41:42 pm »
That order email language issue had been solved in one of the VM3.x versions, probably 3.0.18.7 or 3.0.18.8. Perhaps you can create a test installation from a backup and test updating to one of those.
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

6.522

  • Beginner
  • *
  • Posts: 20
  • A beginner
Re: empty order_language field in the database
« Reply #3 on: January 31, 2017, 00:07:06 am »
That order email language issue had been solved in one of the VM3.x versions, probably 3.0.18.7 or 3.0.18.8. Perhaps you can create a test installation from a backup and test updating to one of those.

well upgrading to VM 3 is not possible for me right now because that will give me too many incompatibility issues with plugins used on the site :/